Bug 85012 - strace -f broken on ia64
Summary: strace -f broken on ia64
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: strace (Show other bugs)
(Show other bugs)
Version: 9
Hardware: ia64 Linux
medium
high
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-24 21:26 UTC by Roland McGrath
Modified: 2007-04-18 16:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-23 22:37:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2003:361 normal SHIPPED_LIVE New strace package fixes numerous bugs 2003-11-18 05:00:00 UTC

Description Roland McGrath 2003-02-24 21:26:55 UTC
Description of problem:

New strace -f code causes inferior to get SIGSEGV under Linux 2.4.x kernel.
Reported to work fine with 2.5.x kernel.

Version-Release number of selected component (if applicable):

4.4.95-1

How reproducible:

100%

Steps to Reproduce:
1. strace -f /usr/bin/time /bin/true
2. See some crashing.
3. Lament.
    
Actual results:


Expected results:


Additional info:

Comment 1 Roland McGrath 2003-03-12 08:38:21 UTC
Congratulations, Jakub!  You found in 2.5.64 the same lossage that is
mysteriously biting some older AS2.1 kernels but not others on IA64.  David
Mosberger was perhaps trying to figure this out, but I have not heard from him
in a few days.

Note that on 2.5.64, "strace -f /usr/bin/time /bin/true" (i.e. any -f) fails
the same way, it's not specific to your test case.  

When I played with it, this showed the same weirdness I saw on the old AS2.1
kernel.  That is, debugging hacks in strace that insert a PEEKDATA before and/or
after its POKEDATA to diddle register values cause the problem to mysteriouusly
disappear.  The working hypothesis is that some strange ia64 kernel bug makes
POKEDATA not always work right and so strace fails to restore
a register value after it has modified the clone2 syscall.

Comment 2 Roland McGrath 2003-09-23 22:37:49 UTC
I haven't reproduced this on a current kernel lately.
Someone will refile if it comes up again.

Comment 3 Jay Turner 2004-01-16 17:04:26 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-361.html



Note You need to log in before you can comment on or make changes to this bug.